/**
 * HTTP functionality module
 */

// Export types and models
export * from './models/http-types.js';

// Export submodules
export * from './port80/index.js';
export * from './router/index.js';
export * from './redirects/index.js';

// Convenience namespace exports
export const Http = {
  Port80: {
    Handler: require('./port80/port80-handler.js').Port80Handler,
    ChallengeResponder: require('./port80/challenge-responder.js').ChallengeResponder
  }
};
